[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] building error



When I build libvirt, I meet the following error:
make[3]: Entering directory `/home/wency/rpmbuild/BUILD/libvirt-0.9.2/daemon'
  CC     libvirtd-libvirtd.o
  CC     libvirtd-remote.o
remote.c: In function 'remoteDispatchAuthPolkit':
remote.c:2043: error: invalid initializer
make[3]: *** [libvirtd-remote.o] Error 1

This patch can fix the problem. But I do not know whether it is right.

>From b03a5c08b751440460bf4cb02fea061b77fb3ef5 Mon Sep 17 00:00:00 2001
From: Wen Congyang <wency cn fujitsu com>
Date: Wed, 29 Jun 2011 19:04:19 +0800
Subject: [PATCH 1/2] daemon: Fix building error with polkit1

---
 daemon/remote.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/daemon/remote.c b/daemon/remote.c
index 9e6cf77..042894b 100644
--- a/daemon/remote.c
+++ b/daemon/remote.c
@@ -2041,7 +2041,7 @@ remoteDispatchAuthPolkit(virNetServerPtr server ATTRIBUTE_UNUSED,
         goto authdeny;
     }
     PROBE(CLIENT_AUTH_ALLOW, "fd=%d, auth=%d, username=%s",
-          virNetServerClientGetFD(client), REMOTE_AUTH_POLKIT, ident);
+          virNetServerClientGetFD(client), REMOTE_AUTH_POLKIT, (char *)ident);
     VIR_INFO("Policy allowed action %s from pid %d, uid %d",
              action, callerPid, callerUid);
     ret->complete = 1;
-- 
1.7.1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]